For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/option‑rules

get

--notset--

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
optionidintegerRequired
rule_typesstringOptional
loginanyOptional
optionanyOptional
programanyOptional
siteanyOptional
touranyOptional
billeranyOptional
cascadeanyOptional
countryanyOptional
text_searchanyOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/site/option-rules
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'optionid' => 2,
		'rule_types' => '1',
		'login' => '1',
		'program' => '1',
		'biller' => '1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/option-rules',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "option_rules": [
    {
      "optionid": "ALL",
      "rule_type": "1",
      "identid": "14",
      "start_time": "1565382572",
      "end_time": "0",
      "start_nice": "2019-08-09 16:29:32",
      "end_nice": "FOREVER",
      "rule_status": 1,
      "advanced": 1,
      "override_identifier_id": [
        "14"
      ],
      "ruleid": "1565382572:0:1",
      "affiliate": {
        "productsupport": "productsupport"
      },
      "rule_type_nice": "SHOW",
      "tour": [
        {
          "id": 0,
          "name": "ALL"
        }
      ],
      "program": [
        {
          "id": "1",
          "name": null
        }
      ],
      "login": [
        {
          "id": "1",
          "name": "productsupport"
        }
      ],
      "country": [
        {
          "id": "EU",
          "name": "Europe *"
        }
      ],
      "biller": [
        {
          "id": "1",
          "name": "NETBILLING-1"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?